Subject: bug#53606: 29.0.50; Very slow Customize buffer for bibtex-biblatex-entry-alist

From: Ihor Radchenko <[email-masked]>
Date: Thu, 21 Dec 2023 11:51:14 +0000

Mauro Aranda <[email-masked]> writes:

> I focused on the format handling, since there's no need to insert the
> escape formats in the buffer.  So I rearranged the 4 functions that
> handle the format to avoid it and here are the figures I got, when
> running:
> (benchmark-run 5
>    (customize-option 'bibtex-biblatex-entry-alist))
>
>  From master, inserting either :format or :entry-format:
> (130.200276352 291 3.1221133909999996)
>
> Without inserting it:
> (38.244185927000004 266 2.795578699)
> ...
> All data is without native compilation.  I'd appreciate if someone could
> at least run it once with native compilation, with and without my patch.

I do not see much difference with native compilation:

- without the patch :: (134.779200699 247 4.294675525)
- with the patch :: (39.828912859 249 3.881637917)

But your patch is still making things faster.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>